MuleContextDisposePhase (Mule ESB 2.2.1 API)
Keywords: org.mule.lifecycle.phases.MuleContextDisposePhase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.lifecycle.phases
Class MuleContextDisposePhase

    java.lang.Object
      org.mule.lifecycle.DefaultLifecyclePhase
          org.mule.lifecycle.phases.MuleContextDisposePhase

All Implemented Interfaces:
  LifecyclePhase

    public class MuleContextDisposePhase

extends DefaultLifecyclePhase

Objects are disposed of via the Registry since the Registry manages the creation/initialisation of the objects it must also take care of disposing them. However, a user may want to initiate a dispose via the `DefaultMuleContext` so the dispose Lifecycle phase for the `DefaultMuleContext` needs to call dispose on the Registry.

Field Summary

Fields inherited from class org.mule.lifecycle.DefaultLifecyclePhase
`logger`

Fields inherited from interface org.mule.api.lifecycle.LifecyclePhase
`ALL_PHASES`

Constructor Summary
`MuleContextDisposePhase()`

Method Summary

Methods inherited from class org.mule.lifecycle.DefaultLifecyclePhase
`addOrderedLifecycleObject, applyLifecycle, applyLifecycle, getIgnoredObjectTypes, getLifecycleClass, getName, getOppositeLifecyclePhase, getOrderedLifecycleObjects, getSupportedPhases, ignoreType, isPhaseSupported, registerSupportedPhase, removeOrderedLifecycleObject, setIgnoredObjectTypes, setLifecycleClass, setOrderedLifecycleObjects, setSupportedPhases, sortLifecycleInstances`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleContextDisposePhase

    public MuleContextDisposePhase()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.